using System.Collections;
using System.Collections.Generic;
using System;
using UnityEngine;

public class EventManager : MonoBehaviour
{

    public static EventManager instance;
    public static event Action<GameState> OnGameStateChanged;

    [Tooltip("Start state, use for debug purposes. For proper game flow set to GameStart.")]
    public GameState state;

    void Awake() {
        instance = this;
    }

    private void Start()
    {
        UpdateGameState(state);
    }

    public void UpdateGameState(GameState newState) {
        state = newState;
        OnGameStateChanged?.Invoke(newState);
    }
}

public enum GameState {
    GameStart,
    EdDialogueFinish1,
    HansDialogueFinish1,
    NazarekoDialogueFinish1,
    GerdDialogueFinish1,
    LewisDialogueFinish1,
    HansDialogueFinish2,
    AugustDialogueFinish1,
    NazarekoDialogueFinish2,
    AugustDialogueFinish2,
    GerdDialogueFinish2,
    LewisDialogueFinish2,
    EdDialogueFinish2,
    GameFinish
}
