using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FollowTargets : MonoBehaviour
{
    //List of targets
    public Transform[] targets;

    //The current target
    private int current;

    private Vector3 velocity = Vector3.zero;
    Quaternion up;

    [Range(0.0001f, 0.8f)]
    public float speed = 0.01f;


    private void Start()
    {
        up = new Quaternion(0, 0, 0, 0);
        current = 0;
    }

    // Update is called once per frame
    void Update()
    {
        gameObject.transform.SetPositionAndRotation(Vector3.SmoothDamp(gameObject.transform.position, targets[current].position, ref velocity, speed), up);

    }

    public void NextTarget()
    {
        if (current >= targets.Length - 1)
        {
            current = 0;
        } else
        {
            current++;
        }
    }
}
