﻿using UnityEngine;

public class FootSteps : MonoBehaviour
{
    [SerializeField]
    private AudioClip[] stoneClips;
    [SerializeField]
    private AudioClip[] mudClips;
    

    private AudioSource audioSource;
    private TerrainDetector terrainDetector;
    public GameObject Me;

    private void Awake()
    {
        audioSource = GetComponent<AudioSource>();
        terrainDetector = gameObject.AddComponent<TerrainDetector>();
    }

    public void Step()
    {
        if (!audioSource.isPlaying)
        {
            AudioClip clip = GetRandomClip();
            
            audioSource.pitch = UnityEngine.Random.Range(0.85f, 0.9f);
            audioSource.PlayOneShot(clip);
        }
    }

    private AudioClip GetRandomClip()
    {
        int terrainTextureIndex = terrainDetector.GetActiveTerrainTextureIdx(Me.transform.position);
        switch (terrainTextureIndex)
        {
            case 21:
                audioSource.volume = UnityEngine.Random.Range(0.2f, 0.3f);
                return stoneClips[UnityEngine.Random.Range(0, stoneClips.Length)];

            default:
                audioSource.volume = UnityEngine.Random.Range(0.35f, 0.45f);
                return mudClips[UnityEngine.Random.Range(0, mudClips.Length)];
        }

    }
}