using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Grenade : MonoBehaviour
{

    public float delay = 3f;
    float countdown;
    bool hasExploded = false;
    bool onGround = false;
    
    public AudioSource source;
    public AudioClip grenadeSound;
    public GameObject explosionEffect;

    public float myVolume = 1.0f;
    
    void Start()
    {
        countdown = delay;
    }

    void Update()
    {
        if(onGround) {
        countdown -= Time.deltaTime;
        if(countdown <= 0f && !hasExploded) {
                Explode();
                source.Play();
                hasExploded = true;
            }
        }
    }

    void OnCollisionEnter(Collision other) {
        if(other.collider.name == "Terrain") {
            onGround = true;
            source.clip = grenadeSound;
        }
    }

    void Explode () {
        Instantiate(explosionEffect, transform.position, transform.rotation);
        Destroy(gameObject);
    }
}
