using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.XR.Interaction.Toolkit;
using Unity.XR.CoreUtils;

[RequireComponent(typeof(ActionBasedController))]
public class HandController : MonoBehaviour
{

    ActionBasedController controller;
    public HandScript hand;
    private XRRayInteractor rayInteractor;

    void Start()
    {
        controller = GetComponent<ActionBasedController>();
        rayInteractor = GetComponent<XRRayInteractor>();
        rayInteractor.selectEntered.AddListener((p) =>
        {
            hand.ToggleVisibility();
        });
        rayInteractor.selectExited.AddListener((p) =>
        {
            hand.ToggleVisibility();
        });
    }

    void Update()
    {
        hand.SetGrip(controller.selectAction.action.ReadValue<float>());
        hand.SetTrigger(controller.activateAction.action.ReadValue<float>());
    }

    private void OnDestroy()
    {
        rayInteractor.selectEntered.RemoveAllListeners();
        rayInteractor.selectExited.RemoveAllListeners();
    }
}
