using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.XR.Interaction.Toolkit;

public class Highlighter : MonoBehaviour
{

    public Animator animator;
    [Range(0f,60f)]
    public float seconds = 15f;
    private XRGrabInteractable interactable;
    private AudioSource audioSource;

    private void Start()
    {
        audioSource = GetComponent<AudioSource>();
        interactable = GetComponent<XRGrabInteractable>();
        interactable.selectEntered.AddListener((f) =>
        {
            DisableHighlight();
            
        });
    }

    public void HighlightObject()
    {
        if (audioSource != null)
            audioSource.Play();
        animator.SetBool("Highlight", true);
        StartCoroutine(DisableHighlightTimer(seconds));
    }

    IEnumerator DisableHighlightTimer(float seconds)
    {
        yield return new WaitForSeconds(seconds);
        DisableHighlight();
    }

    public void DisableHighlight()
    {
        if (audioSource != null)
            audioSource.Stop();
        animator.SetBool("Highlight", false);
    }
}
