using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MapHandler : MonoBehaviour
{

    public GameObject markerContainer;
    private Transform[] markers;
    private Highlighter highlighter;

    private void Start()
    {
        markers = markerContainer.GetComponentsInChildren<Transform>();
        EventManager.OnGameStateChanged += EventManagerOnStateChanged;
        highlighter = GetComponent<Highlighter>();
    }

    private void OnDestroy()
    {
        EventManager.OnGameStateChanged -= EventManagerOnStateChanged;
    }

    private void switchMarker(String markerName)
    {
        highlighter.HighlightObject();
        for (int i = 1; i < markers.Length; i++)
        {
            if (markers[i].gameObject.ToString().Equals(markerName + " (UnityEngine.GameObject)"))
            {
                markers[i].gameObject.SetActive(true);
            }
            else
            {
                markers[i].gameObject.SetActive(false);
            }
        }
    }

    private void EventManagerOnStateChanged(GameState state)
    {
        switch (state)
        {
            case GameState.GameStart:
                switchMarker("Ed Nordberg 1");
                break;
            case GameState.EdDialogueFinish1:
                switchMarker("Hans Opkvitne 1");
                break;
            case GameState.HansDialogueFinish1:
                switchMarker("Nazarenko 1");
                break;
            case GameState.NazarekoDialogueFinish1:
                switchMarker("Gerd Tveito 1");
                break;
            case GameState.GerdDialogueFinish1:
                switchMarker("Lewis Adams 1");
                break;
            case GameState.LewisDialogueFinish1:
                switchMarker("Hans Opkvitne 2");
                break;
            case GameState.HansDialogueFinish2:
                switchMarker("August Jugler 1");
                break;
            case GameState.AugustDialogueFinish1:
                switchMarker("Nazarenko 2");
                break;
            case GameState.NazarekoDialogueFinish2:
                switchMarker("August Jugler 2");
                break;
            case GameState.AugustDialogueFinish2:
                switchMarker("Gerd Tveito 2");
                break;
            case GameState.GerdDialogueFinish2:
                switchMarker("Lewis Adams 2");
                break;
            case GameState.LewisDialogueFinish2:
                switchMarker("Ed Nordberg 2");
                break;
            case GameState.EdDialogueFinish2:
                switchMarker("Disable all");
                break;
            case GameState.GameFinish:
                switchMarker("Disable all");
                break;
        }
    }
}
