using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Threading.Tasks;

public class MineTrigger : MonoBehaviour
{
    [SerializeField] private Transform player;
    [SerializeField] private Transform respawnPoint;

    public GameObject explosionEffect;
    private bool hasExploded;
    public AudioSource source;
    private int sleepTime = 2000;
 

    private void OnTriggerEnter(Collider other)
    {
        if (other.CompareTag("Player") && !hasExploded)
        {
            explode();
        }
    }

   public void explode()
    {
        Instantiate(explosionEffect, transform.position, transform.rotation);
        source.Play();
        hasExploded = true;
        Task.Delay(sleepTime).Wait();
        player.transform.position = respawnPoint.transform.position;
        Physics.SyncTransforms();
    }


}
