using System;
using System.Linq;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.AI;
using UnityEngine.SceneManagement;

public class NPCHandlingScript : MonoBehaviour
{

    GameState start = GameState.GameStart;

    public float delay = 440;

    public UniversalFadeScript fadeScript;
    public GameObject ed1;
    public GameObject hans1;
    public GameObject nazaren1;
    public GameObject gerd1;
    public GameObject lewis1;
    public GameObject hans2;
    public GameObject august1;
    public GameObject nazaren2;
    public GameObject august2;
    public GameObject gerd2;
    public GameObject lewis2;
    public GameObject ed2;
    public GameObject jugler;
    public Animator walking;
    public GameObject goal;

    public Animator endDrive;
    public AudioSource source;
    public AudioClip clip;

    private void Start () {
        hans2.SetActive(false);
        nazaren2.SetActive(false);
        august2.SetActive(false);
        lewis2.SetActive(false);
        gerd2.SetActive(false);
        ed2.SetActive(false);
    }

    private void Awake()
    {
        EventManagerOnStateChanged(start);
        EventManager.OnGameStateChanged += EventManagerOnStateChanged;
    }

    private void OnDestroy()
    {
        EventManager.OnGameStateChanged -= EventManagerOnStateChanged;
    }

    private void EventManagerOnStateChanged(GameState state)
    {
        switch (state)
        {
            case GameState.GameStart:
                
                break;
            case GameState.EdDialogueFinish1:
                
                break;
            case GameState.HansDialogueFinish1:
                break;
            case GameState.NazarekoDialogueFinish1:
                
                break;
            case GameState.GerdDialogueFinish1:
                
                break;
            case GameState.LewisDialogueFinish1:
                Debug.Log("Entered Lewis");
                hans1.SetActive(false);
                nazaren1.SetActive(false);
                gerd1.SetActive(false);
                ed1.SetActive(false);

                Resources.FindObjectsOfTypeAll<GameObject>()
                .FirstOrDefault(x=>x.CompareTag("Hans2")).SetActive(true);

                Resources.FindObjectsOfTypeAll<GameObject>()
                .FirstOrDefault(x=>x.CompareTag("BunkerTrigger")).SetActive(true);

                Debug.Log("Exit Lewis");
                break;
            case GameState.HansDialogueFinish2:
                
                break;
            case GameState.AugustDialogueFinish1:
                hans2.SetActive(false);
                lewis1.SetActive(false);

                Resources.FindObjectsOfTypeAll<GameObject>()
                .FirstOrDefault(x=>x.CompareTag("Nazarenko2")).SetActive(true);

                Resources.FindObjectsOfTypeAll<GameObject>()
                .FirstOrDefault(x=>x.CompareTag("ExplosionTrigger")).SetActive(true);

                jugler.GetComponent<NavMeshAgent>().destination = goal.transform.position;
                walking.Play("Walking", 0, 0.0f);

                break;
            case GameState.NazarekoDialogueFinish2:
                Resources.FindObjectsOfTypeAll<GameObject>()
                .FirstOrDefault(x=>x.CompareTag("August2")).SetActive(true);

                break;
            case GameState.AugustDialogueFinish2:
                nazaren2.SetActive(false);

                Resources.FindObjectsOfTypeAll<GameObject>()
                .FirstOrDefault(x=>x.CompareTag("Gerd2")).SetActive(true);

                Resources.FindObjectsOfTypeAll<GameObject>()
                .FirstOrDefault(x=>x.CompareTag("Lewis2")).SetActive(true);

                Resources.FindObjectsOfTypeAll<GameObject>()
                .FirstOrDefault(x=>x.CompareTag("Ed2")).SetActive(true);
                break;
            case GameState.GerdDialogueFinish2:
                
                break;
            case GameState.LewisDialogueFinish2:
                
                break;
            case GameState.EdDialogueFinish2:
                StartCoroutine(LoadLevelAfterDelay(delay));
                endDrive.Play("EndTaxi", 0, 0.0f);
                source.PlayOneShot(clip);
                break;
            case GameState.GameFinish:

                break;
        }
    }

    IEnumerator LoadLevelAfterDelay(float delay)
     {
         yield return new WaitForSeconds(2);
         fadeScript.startTheFadeIn();
         yield return new WaitForSeconds(delay);
         SceneManager.LoadScene("Theater");
     }
}