using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.XR.Interaction.Toolkit;

public class ObjectLock : MonoBehaviour
{

    public XRRayInteractor rayInteractor;

    private XRGrabInteractable grabInteractable;

    public XRInteractionManager xRInteractionManager;
    
    public void Start()
    {
        grabInteractable = GetComponent<XRGrabInteractable>();
    }

    public void Lock()
    {
        xRInteractionManager.SelectEnter((IXRSelectInteractor)rayInteractor, grabInteractable);
        grabInteractable.selectExited.AddListener((p) =>
        {
            xRInteractionManager.SelectEnter((IXRSelectInteractor) rayInteractor, grabInteractable);
        });
    }

    public void Unlock()
    {
        grabInteractable.selectExited.RemoveAllListeners();
    }


}
