using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.InputSystem;

public class OffsetMover : MonoBehaviour
{
    private Transform obj;
    public Camera cam;
    [Range(-2f, 2f)]
    public float yOffset;
    [Range(-2f, 2f)]
    public float forwardOffset;

    private void Start()
    {
        obj = GetComponent<Transform>();
    }

    private void Update()
    {
        var rot = cam.transform.rotation;
        rot.Set(0, rot.y, 0, rot.w);
        obj.rotation = rot;
        obj.position = new Vector3(cam.transform.position.x, cam.transform.position.y + yOffset, cam.transform.position.z)
         + obj.transform.forward * forwardOffset;
    }

}
