using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.VFX;

public class PlayerSensor : MonoBehaviour
{
    public NodeParser parser;
    public GameObject notebook;
    public VisualEffect visualEffect;
    public AudioSource audioSource;

    private void OnTriggerEnter(Collider other)
    {
        if (other.tag.Equals("Player"))
        {
            notebook.SetActive(true);
            notebook.GetComponentInParent<ObjectLock>().Lock();
            visualEffect.Reinit();
            visualEffect.Play();
            audioSource.Play();
            if(!parser.isStarted())
            parser.startDialogue();
        }

    }

    public void OnTriggerExit(Collider other)
    {
        if (other.tag.Equals("Player"))
        {
            notebook.GetComponentInParent<ObjectLock>().Unlock();
            notebook.SetActive(false);
            visualEffect.Play();
            audioSource.Play();
        }
    }
}
