using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpitfireSpawn : MonoBehaviour
{

    public GameState gameState;
    public GameObject plane;

    public Animator anim;
    public AudioSource source;
    public AudioClip clip;

    void Start()
    {
        EventManager.OnGameStateChanged += Spawn;
    }

    private void OnDestroy()
    {
        EventManager.OnGameStateChanged -= Spawn;
    }

    void Awake() {

    }

    public void Spawn(GameState state) {
        if(state == gameState) {
            plane.SetActive(true);
            anim.Play("fireGateAnimAnim", 0, 0f);
            source.PlayOneShot(clip);
        }
    }
}