using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;
using UnityEngine.UI;

public class TimerScript : MonoBehaviour
{
    public float currentTime = 90;
    public bool timeExpired;
    public GameState gameStateGameFinished;

   [SerializeField] TextMeshProUGUI countDownText;

    private bool setTrueOnce;
    

    // Update is called once per frame
    void Update()
    {

        if (currentTime > 0)
        {
            currentTime -= Time.deltaTime;
        } 
        else
        {
            currentTime = 0;
            if (!setTrueOnce)
            {
                EventManager.instance.UpdateGameState(gameStateGameFinished);
                setTrueOnce = true;
            }
        }

        displayTime(currentTime);
        

    }

   
    void displayTime(float timeToDisplay)
    {
        if ( timeToDisplay < 0)
        {
            timeToDisplay = 0;
        }

        float minutes = Mathf.FloorToInt(timeToDisplay / 60);
        float seconds = Mathf.FloorToInt(timeToDisplay % 60);

        countDownText.text = string.Format("{0:00}:{1:00}", minutes, seconds); 
    }


    public void addTime()
    {
        currentTime += 30;
    }
}
